Package org.jbpm.services.api.model

## Interface UserTaskInstanceWithPotOwnerDesc

- All Superinterfaces:
    `UserTaskInstanceDesc`
  All Known Implementing Classes:
    `UserTaskInstanceWithPotOwnerDesc`

      public interface UserTaskInstanceWithPotOwnerDesc
      extends UserTaskInstanceDesc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCorrelationKey()` | Returns the user task correlation key
    `Map<String,​Object>` | `getExtraData()` | return the user task process extra data from query
    `Map<String,​Object>` | `getInputdata()` | Returns the user task input data
    `Date` | `getLastModificationDate()` | Returns the user task potential modification date
    `String` | `getLastModificationUser()` | Returns the user task last modification user
    `Map<String,​Object>` | `getOutputdata()` | Returns the user task output data
    `List<String>` | `getPotentialOwners()` | Returns the user task potential owners
    `String` | `getProcessInstanceDescription()` | Returns the user task process instance description
    `Map<String,​Object>` | `getProcessVariables()` | Returns the process variables this task belongs
    `String` | `getSubject()` | Returns the user task subject

    - ### Methods inherited from interface org.jbpm.services.api.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getProcessType, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setCorrelationKey, setProcessType, setSlaCompliance, setSlaDueDate, setSubject`

- - ### Method Detail

    - #### getPotentialOwners

          List<String> getPotentialOwners()

      Returns the user task potential owners
      Returns:
        potential owners

    - #### getCorrelationKey

          String getCorrelationKey()

      Returns the user task correlation key
      Specified by:
        `getCorrelationKey` in interface `UserTaskInstanceDesc`
      Returns:
        correlation key

    - #### getLastModificationDate

          Date getLastModificationDate()

      Returns the user task potential modification date
      Returns:
        modification date

    - #### getLastModificationUser

          String getLastModificationUser()

      Returns the user task last modification user
      Returns:
        last modification user

    - #### getSubject

          String getSubject()

      Returns the user task subject
      Specified by:
        `getSubject` in interface `UserTaskInstanceDesc`
      Returns:
        subject

    - #### getInputdata

          Map<String,​Object> getInputdata()

      Returns the user task input data
      Returns:
        input data

    - #### getOutputdata

          Map<String,​Object> getOutputdata()

      Returns the user task output data
      Returns:
        output data

    - #### getProcessInstanceDescription

          String getProcessInstanceDescription()

      Returns the user task process instance description
      Returns:
        process instance description

    - #### getProcessVariables

          Map<String,​Object> getProcessVariables()

      Returns the process variables this task belongs
      Returns:
        process variables

    - #### getExtraData

          Map<String,​Object> getExtraData()

      return the user task process extra data from query
      Returns: